
QGIS Application - Bug report #20302

XYZ Tiles in TMS convention do not display properly

2018-10-31 07:28 PM - Ken Martin
Priority: Normal

Assignee:

Category: Web Services clients/XYZ

Affected QGIS version:3.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28123

Description

I tried to explore this in detail here: 

https://gis.stackexchange.com/questions/300336/updated-can-tms-convention-xyz-tiles-be-displayed-in-qgis-3-4

Briefly, TMS-convention tiles have the inverted Y axis as part of their convention. Therefore, I can't get them to display properly in QGIS

3.4 when using a XYZ Tiles layer.

I did spend lots of time Googling to discover if I should be doing this in some other way or of this is resolved in some way, but I couldn't

find it.

History

#1 - 2018-11-01 09:10 AM - Giovanni Manghi

- Category changed from Rasters to Web Services clients/XYZ

- Status changed from Open to Feedback

- Operating System deleted (Mac 10.13)

With the Quick Map Services plugin you can add custom WMS and TMS services. So I think this should become a feature request.

#2 - 2018-11-01 03:02 PM - Ken Martin

Giovanni Manghi wrote:

With the Quick Map Services plugin you can add custom WMS and TMS services. So I think this should become a feature request.

Thanks Giovanni. Do you know if the Quick Map Services plugin will work without having to register tilesets with an external registry? (Some that I have are

private and/or in development.)

If this does become a feature request, from my limited perspective I think a simple "select" box in the XYZ Tiles edit window that defaulted to "XYZ" but also

offered "TMS" (and perhaps other options, if it makes sense).

#3 - 2018-11-01 07:51 PM - Ken Martin

Is there any chance that the XYZ URL does more than just string replacement?

Like, rather than just...
../{z}/{x}/{y}.png

...maybe I could do...

../{z}/{x}/${(2^z)-y-1}.png

#4 - 2018-11-01 08:43 PM - Alessandro Pasotti

{-y} will invert your axis

#5 - 2018-11-01 08:46 PM - Alessandro Pasotti

- File qgis-tms-inverted-axis.png added

It's documented in the tooltip

#6 - 2018-11-01 09:10 PM - Ken Martin

Alessandro, that's AWESOME! I never lingered long enough to even know there was a tool tip.

Thank you! :)

#7 - 2018-11-01 09:19 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Files

qgis-tms-inverted-axis.png 131 KB 2018-11-01 Alessandro Pasotti

2025-04-26 2/2


